FAQ

Building m2 guide needs to be updated for new maven-3 location

Niall Pemberton
Oct 16, 2009 at 3:46 pm
Also, I hit a couple of snags when I tried to build - perhaps the
guide could be updated to mention these

1) the plexus version has been updated to 1.4.0-SNAPSHOT[3] which
prevents maven-3 module from building. I changed the version back to
1.3.0 locally to get the build to work

2) The build fails if subversion is not installed

Niall

[3] https://svn.apache.org/viewvc?view=revision&revision=823551

On Fri, Oct 16, 2009 at 4:22 PM, Niall Pemberton
wrote:
The building m2 guide is out of date for maven-3[1] since it moved[2]
location in the repository

Niall

[1] http://maven.apache.org/guides/development/guide-building-m2.html
[2] https://svn.apache.org/viewvc?view=revision&revision=811356





Index: site/apt/guides/development/guide-building-m2.apt
===================================================================
--- site/apt/guides/development/guide-building-m2.apt   (revision 825923)
+++ site/apt/guides/development/guide-building-m2.apt   (working copy)
@@ -52,11 +52,11 @@
svn co https://svn.apache.org/repos/asf/maven/maven-2/branches/maven-2.2.x
maven-2.2.x
-------------------

-  To build Maven 3.0 (unstable development branch), you need the
<<<trunk>>> of the <<<components>>> module. To
+  To build Maven 3.0 (unstable development branch), you need the
<<<trunk>>> of the <<<maven-3>>> module. To
check that out, run the command:

-------------------
-svn co https://svn.apache.org/repos/asf/maven/components/trunk maven-3
+svn co https://svn.apache.org/repos/asf/maven/maven-3/trunk/ maven-3
-------------------

Alternatively, you can check out all Maven projects in one directory using:
@@ -66,7 +66,7 @@
-------------------

If you have checked out <<<trunks>>>, the <<<maven-2.2.x>>> directory will
-  contain the Maven 2.2 source code, and the <<<components>>> directory will
+  contain the Maven 2.2 source code, and the <<<maven-3>>> directory will
contain the 3.0 source code. Note that neither directory contains any of the
plugins.
---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
For additional commands, e-mail: dev-help@maven.apache.org
reply

Search Discussions

Discussion Posts

Previous

Follow ups

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 2 of 3 | next ›